c
      SUBROUTINE SVAPosition_prm
     &     (Rnum,
     &     SVA_ClusterNOMax,SVA_ClusterNO,SVA_ClusterName,
     &     SVA_DetectorCluster)
      Implicit NONE
c
      Include 'nebula.inc'
      Include '../SVA/SVAvaliable.inc'
      integer Rnum
      integer Rnum_range(2)
      Integer ier,id,ich,igeo
      Integer jadr,i,ita,rlen,prmblock
      Character*200 nebula_position_prm_file
      integer length
      
      Call GETENV('NEBULA_POSITION_PRM',nebula_position_prm_file)


      Open(unit=80,file=nebula_position_prm_file,status='old',err=10)
      Goto 20

 10      Write(*,*)' ENC_NEUT-E : NEBULA_POSITION_PRM was not found.'
      Stop
      
 20   Continue
      

      prmblock = 0

      prmblock = prmblock + 1
      Call READ_INT(80,SVA_ClusterNOMax,1,ier)
      If(ier.NE.0)Goto 30

      prmblock = prmblock + 1
      Call READ_INT(80,SVA_ClusterNO,SVA_ClusterNOMax(1),ier)
      If(ier.NE.0)Goto 30

      prmblock = prmblock + 1
      Call READ_CHA(80,SVA_ClusterName,SVA_ClusterNOMax(1),ier)
      If(ier.NE.0)Goto 30

      DO
         prmblock = prmblock + 1
         Call READ_INT(80,Rnum_range,2,ier)
         If(ier.NE.0)Goto 30

         prmblock = prmblock + 1
         Call READ_INT(80,SVA_DetectorCluster,nch_nebula,ier)
         If(ier.NE.0)Goto 30

         prmblock = prmblock + 1
         CALL read_flt(80,x_center,nch_nebula,ier)
         IF(ier.ne.0) Goto 30
      
         prmblock = prmblock + 1
         CALL read_flt(80,x_length,nch_nebula,ier)
         IF(ier.ne.0) Goto 30
      
         prmblock = prmblock + 1
         CALL read_flt(80,y_center,nch_nebula,ier)
         IF(ier.ne.0) Goto 30
         
         prmblock = prmblock + 1
         CALL read_flt(80,y_length,nch_nebula,ier)
         IF(ier.ne.0) Goto 30
         
         prmblock = prmblock + 1
         CALL read_flt(80,z_center,nch_nebula,ier)
         IF(ier.ne.0) Goto 30
         
         prmblock = prmblock + 1
         CALL read_flt(80,z_length,nch_nebula,ier)
         IF(ier.ne.0) Goto 30
         
      
         IF (Rnum_range(1) <= Rnum .and. Rnum <= Rnum_range(2) ) THEN
            exit
         ENDIF
         
      ENDDO
      
      IF (Rnum_range(2) < Rnum ) THEN
         write(*,*) ' WARNING!! There is not parameters for this RUN : '
     &        , Rnum
         stop
      ENDIF
      

      prmblock = prmblock + 1
      Close(80)                 
      Goto 40                   

 30      Continue
      Write(*,*)'*ENC_NEBULA-E : Error in NEBULA_PRM at PRM block #',
     &        prmblock
      stop

 40      Continue

      Call TGETLEN(nebula_position_prm_file,rlen)

      write(*,*) ' '
      write(*,*) '--------------------------------------------------- ' 
      write(*,*) ' NEBULA_POSITION_PRM  '
      write(*,*) '--------------------------------------------------- ' 
      Write(*,*)'   ENC_NEBULA-M : NEBULA_POSITION_PRM :  ',
     &     nebula_position_prm_file(2:rlen),
     &     ' was read in.'

      write(*,*) ' '
      write(*,*) '  SVA_DetectorCluster ', SVA_DetectorCluster
      write(*,*) '  SVA_ClusterNOMax ', SVA_ClusterNOMax
      write(*,*) '  SVA_ClusterNO, SVA_ClusterName'
      DO i = 1, SVA_ClusterNOMax(1)
         write(*,*) '  ' , SVA_ClusterNO(i),'    '//SVA_ClusterName(i)
      ENDDO
      write(*,*) ' '

      write(*,*) '  Run NO : ', Rnum_range(1),
     &     ' <= ',Rnum , ' <= ',Rnum_range(2)
      write(*,*) '  NEUT1, NEUT2, NEUT3, NEUT4, NEUT5, VETO1,
     & VETO2, SC, HIME1, HIME2, HIME3, HIMEVETO'
      write(*,*) '  SVA_DetectorCluster : ', SVA_DetectorCluster
      write(*,*) '  x_center : ', x_center
      write(*,*) '  x_length : ', x_length
      write(*,*) '  y_center : ', y_center
      write(*,*) '  y_length : ', y_length
      write(*,*) '  z_center : ', z_center
      write(*,*) '  z_length : ', z_length
      write(*,*) '--------------------------------------------------- ' 
      write(*,*) ' ' 



      Return

      End
