cccccccccccccccccccccccccccccccccccccccccc
c
c     SVAsubroutine
c
cccccccccccccccccccccccccccccccccccccccccc


c------------------------------------------------
      SUBROUTINE SVAEnviromentSet
     &     (SVA_DetectorFile,SVA_TrackingFile,
     &     SVA_ClusterNOMax,SVA_ClusterNO,SVA_ClusterName,
     &     SVA_DetectorCluster)
      Implicit NONE

      INCLUDE '../nebula/nebula.inc'
      INCLUDE 'SVAvaliable.inc'
      Character*132 ANAFNAME,RDFNAME,HBKFILENAME,ANAADDNAME
      Common/ANACHARA/ RDFNAME,HBKFILENAME,ANAADDNAME,ANAFNAME

      Character*132 SVACharReplace,SVATrim
      Character*132 SVA_CurrentFNAME,SVA_CurrentDir
      Character*132 SVA_CurrentFNAMEtxt
      Character*132 SVA_ANAFNAME,SVA_RDFNAME
      Integer i

      write(*,*) "Common/ANACHARA/"
      write(*,*) " ANAFNAME : "//ANAFNAME
      write(*,*) " RDFNAME : "//RDFNAME

      SVA_ANAFNAME = SVACharReplace(ANAFNAME,'_')
      SVA_RDFNAME = SVACharReplace(RDFNAME,'_')

      open(20, file='./src/SVA/SVAconfig.ini', status='old')
      read(20,*) SVA_TrackMax
      close(20)

      SVA_CurrentDir = "./src/SVA/result"
      
      SVA_GateFile = 
     &     SVATrim(SVA_CurrentDir,SVA_RDFNAME,SVA_ANAFNAME,'.glt')
      SVA_DetectorFile = 
     &     SVATrim(SVA_CurrentDir,SVA_RDFNAME,SVA_ANAFNAME,'.det')
      SVA_TrackingFile = 
     &     SVATrim(SVA_CurrentDir,SVA_RDFNAME,SVA_ANAFNAME,'.tra')

      write(*,*) ' SVA_DetectorFile : '//SVA_DetectorFile
      write(*,*) ' SVA_TrackingFile : '//SVA_TrackingFile
      write(*,*) ' SVA_GateFile : '//SVA_GateFile

      open(22,file='./src/SVA/result/SVACurrentStatus.txt',
     &     status='replace')
      write(22,*) SVA_DetectorFile
      close(22)

      open(21, file=SVA_DetectorFile, status='replace')
      write(21,*)  SVA_ClusterNOMax(1)
      write(21,*)  (SVA_ClusterNO(i), i=1, SVA_ClusterNOMax(1))
      write(21,*)  (SVA_ClusterName(i), i=1, SVA_ClusterNOMax(1))
      close(21)

      SVA_EventCounter = 0

      open(SVA_LUN, file=SVA_TrackingFile, status='replace')

      RETURN
      END
c------------------------------------------------




c------------------------------------------------
      SUBROUTINE SVADetectorSet
     &     (SVA_DetectorFile,
     &     SVA_DetectorID, SVA_DetectorCluster,
     &     SVA_x_center, SVA_y_center, SVA_z_center,
     &     SVA_x_length, SVA_y_length, SVA_z_length
     &     )
      Implicit NONE

      Include '../nebula/nebula.inc'
      Include 'SVAvaliable.inc'
      INTEGER SVA_DetectorClusterValue


      open(30, file=SVA_DetectorFile, access='append')
      write(30,*) SVA_DetectorID, SVA_DetectorCluster(SVA_DetectorID),
     &     SVA_x_center, SVA_y_center, SVA_z_center,
     &     SVA_x_length, SVA_y_length, SVA_z_length
      close(30)

      RETURN
      END
c------------------------------------------------




c------------------------------------------------
      SUBROUTINE SVAParticleWrite
     &     (SVA_TrackingFile, SVA_x, SVA_y, SVA_z, SVA_t)


      Implicit NONE
      INCLUDE '../nebula/nebula.inc'
      INCLUDE 'SVAvaliable.inc'
      Logical Lx,Ly,Lz
      Logical SVANan

      IF (SVA_EventCounter > SVA_TrackMax) THEN
         close(SVA_LUN)
      ELSE
         Lx = SVANan(SVA_x)
         Ly = SVANan(SVA_y)
         Lz = SVANan(SVA_z)
         IF (Lx .and. Ly .and. Lz) THEN
            write(SVA_LUN,*)SVA_EventCounter, SVA_x, SVA_y, SVA_z, SVA_t
         ENDIF
      ENDIF

      RETURN
      END
c------------------------------------------------




c------------------------------------------------
      Function SVACharReplace(char_org,AfterReplace)
      Implicit NONE

      character*132 SVACharReplace,char_org
      INTEGER search_max
      Parameter (search_max = 2)
      INTEGER search_char(search_max)
      INTEGER i,j,k
      character*1 Replace_char(search_max), AfterReplace

      SVACharReplace = char_org
      
      Replace_char(1)='/'
      Replace_char(2)='.'

      DO i = 1, search_max
         j = 1
         DO 
            k = index(SVACharReplace(j:), Replace_char(i))
            IF (k==0) exit
            search_char(i) = j + k -1
            SVACharReplace(search_char(i):search_char(i)) = AfterReplace
            j = j + k
         ENDDO
      ENDDO
      
      END Function
c------------------------------------------------




c------------------------------------------------
      Function SVATrim(char_org,plus1,plus2,plus3)
      Implicit NONE

      Integer search_max
      Parameter (search_max = 3)
      character*132 SVATrim,char_org,plus1,plus2
      character*4 plus3
      Integer i,s_space(search_max)

      SVATrim = char_org 
      s_space(1) = index(SVATrim,' ') -1
      s_space(2) = index(plus1,' ') -1 
      s_space(3) = index(plus2,' ') -1
      SVATrim = 
     &     SVATrim(1:s_space(1))//'/'
     &     //plus1(1:s_space(2))//'-'//plus2(1:s_space(3))
     &     //plus3

      END Function
c------------------------------------------------




c------------------------------------------------
      SUBROUTINE SVAStartLoop()
      Implicit NONE
      INCLUDE '../nebula/nebula.inc'
      INCLUDE 'SVAvaliable.inc'

      
      SVA_EventCounter = SVA_EventCounter + 1
      RETURN
      END
c------------------------------------------------




c------------------------------------------------
      FUNCTION SVANan(input)
      implicit none
      Logical SVANan
      Real input,input2
c
      input2 = input * 0.0
      IF ( input2 == 0.0 ) THEN
         SVANan = .TRUE.
      ELSE
         SVANan = .FALSE.
      ENDIF
      END FUNCTION
c------------------------------------------------



